CS::Graphics::ShaderVarNameParser Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Graphics::ShaderVarNameParser Class Reference

Helper class to extract the actual shader var name and array indices given a shader var identifier containing both. More...

`#include <csgfx/shadervarnameparser.h>`

List of all members.

## Public Member Functions
template<typename ArrayType >
void | FillArrayWithIndices (ArrayType &arr) const
| Fill some array with the indices.
size_t | GetErrorPosition () const
| Return the location of a parse error in the identifier (or `(size_t)~0` if none occured)
size_t | GetIndexNum () const
| Get how many indices there are.
size_t | GetIndexValue (size_t index) const
| Get the nth index value. Index 0 is leftmost.
const char * | GetShaderVarName () const
| Get the name part of the shader var.
| ShaderVarNameParser (const char *identifier)
| Set up with a shader var identifier.

## Detailed Description

Helper class to extract the actual shader var name and array indices given a shader var identifier containing both.

Definition at line 38 of file shadervarnameparser.h.

## Constructor & Destructor Documentation

CS::Graphics::ShaderVarNameParser::ShaderVarNameParser | ( | const char * | identifier | ) |

Set up with a shader var identifier.

## Member Function Documentation

template<typename ArrayType >

void CS::Graphics::ShaderVarNameParser::FillArrayWithIndices | ( | ArrayType & | arr | ) | const`[inline]`

Fill some array with the indices.

Definition at line 65 of file shadervarnameparser.h.

size_t CS::Graphics::ShaderVarNameParser::GetErrorPosition | ( |  | ) | const`[inline]`

Return the location of a parse error in the identifier (or `(size_t)~0` if none occured)

Definition at line 53 of file shadervarnameparser.h.

size_t CS::Graphics::ShaderVarNameParser::GetIndexNum | ( |  | ) | const`[inline]`

Get how many indices there are.

Definition at line 59 of file shadervarnameparser.h.

size_t CS::Graphics::ShaderVarNameParser::GetIndexValue | ( | size_t | index | ) | const`[inline]`

Get the nth index value. Index 0 is leftmost.

Definition at line 61 of file shadervarnameparser.h.

const char* CS::Graphics::ShaderVarNameParser::GetShaderVarName | ( |  | ) | const`[inline]`

Get the name part of the shader var.

Definition at line 56 of file shadervarnameparser.h.

The documentation for this class was generated from the following file:

- csgfx/shadervarnameparser.h